Herald
OpenapiBilling

Get a single Credit Bucket with coverage set and attached mappings.

GET
/api/bill/credit-buckets/{bucketId}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

bucketId*string

Credit Bucket ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/bill/credit-buckets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "bucketKey": "string",  "clientApps": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"    }  ],  "description": "string",  "displayOrder": 0,  "enabled": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "ruleReferences": [    {      "enabled": true,      "entitlementMappingId": "5a6a5cd7-9ec8-47b5-b1d7-457ac100853a",      "ownerType": "string",      "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac",      "triggerSources": [        "string"      ]    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}